%define name jfsprogs
%define rname jfsutils
%define version 1.0.24
%define release 2mdk
%define url http://oss.software.ibm.com/developerworks/opensource/jfs/
%define url_download  http://www10.software.ibm.com/developer/opensource/jfs/project/pub/

Summary: IBM JFS utility programs
Name: %{name}
Version: %{version}
Release: %{release}
Url: %{url}
Source0: %{url_download}/%{rname}-%{version}.tar.bz2
License: GPL
Group: System/Kernel and hardware
BuildRequires:	e2fsprogs-devel
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
ExclusiveArch: %{ix86} ppc
Patch: jfsutils-1.0.24-errno.patch.bz2

%description
IBM's journaled file system technology, currently used in IBM
enterprise servers, is designed for high-throughput
server environments, key to running intranet and other
high-performance e-business file servers. IBM is
contributing this technology to the Linux open source
community with the hope that some or all of it will be
useful in bringing the best of journaling capabilities to
the Linux operating system.

%prep
%setup -q -n %{rname}-%{version}
%patch0 -p1

%build

%configure
%make 

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall
mv $RPM_BUILD_ROOT/usr/sbin $RPM_BUILD_ROOT/sbin

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/sbin/*
%{_mandir}/*/*

%changelog
* Mon Apr 21 2003 Stefan van der Eijk <stefan@eijk.nu> 1.0.24-2mdk
- BuildRequires

* Tue Jan  7 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.24-1mdk
- Bump to version 1.0.24.

* Wed Aug 14 2002 Juan Quintela <quintela@mandrakesoft.com> 1.0.21-1mdk
- 1.0.21.

* Tue Jan 29 2002 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.14-1mdk
- 1.0.14.

* Fri Jan 11 2002 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.12-1mdk
- 1.0.12.

* Thu Nov 29 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.10-1mdk
- 1.0.10.

* Fri Oct 12 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.7-2mdk
- Compile only on ia32.

* Thu Oct 11 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.7-1mdk
- 1.0.7.

* Wed Oct  3 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.6-1mdk
- 1.0.6.

* Mon Sep 17 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.5-1mdk
- 1.0.5.

* Sat Sep  1 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.4-1mdk
- 1.0.4.

* Tue Aug 21 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.3-1mdk
- Use optflags.
- 1.0.3.

* Sat Aug  4 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.2-1mdk
- 1.0.2.

* Wed Aug  1 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.1-1mdk
- First version.

# end of file
